const USER_KEY = 'user';
const PASS_KEY = 'username';

export const login = (user: string, password: string) => {
	localStorage.setItem(USER_KEY, user);
	localStorage.setItem(PASS_KEY, password);
};

export const logout = () => {
	localStorage.removeItem(USER_KEY);
	localStorage.removeItem(PASS_KEY);
	window.location.reload();
};

export const loggedIn = () => localStorage.getItem(USER_KEY) !== null;

export const name = () => localStorage.getItem(PASS_KEY) ?? '';

export const auth = () => localStorage.getItem(USER_KEY);

export default { login, logout, loggedIn, name, auth };
